Bug 744105

Summary: Failed to shutdown ... cannot parse json
Product: [Fedora] Fedora Reporter: Josh Stone <jistone>
Component: qemuAssignee: Fedora Virtualization Maintainers <virt-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: ajia, amit.shah, berrange, clalancette, crobinso, dougsland, dwmw2, itamar, jaswinder, jforbes, knoel, laine, scottt.tw, tburke, troels, veillard, virt-maint, v.yesin
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-11 16:23:08 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Josh Stone 2011-10-07 00:06:41 EDT
Description of problem:
A couple of times I've had a VM get stuck trying to shutdown, throwing an internal error.  The exact same error is given whether I try to shutdown through virsh or virt-manager.

Version-Release number of selected component (if applicable):
libvirt-0.9.6-2.fc16.x86_64

How reproducible:
Unknown - it's happened to me twice in a few days, across perhaps 10-15 various VM sessions.

Steps to Reproduce:
1. (unknown how to get into bad state)
2. virsh shutdown $VMNAME
  
Actual results:
error: Failed to shutdown domain vr5i
error: internal error cannot parse json {"timestamp": {"seconds": 1317959448{"timestamp": {"seconds": 1317959448, "microseconds": 645471}, "event": "SPICE_DISCONNECTED", "data": {"server": {"port": "5902", "family": "ipv4", "host": "127.0.0.1"}, "client": {"port": "35746", "family": "ipv4", "host": "127.0.0.1"}}}: parse error: after key and value, inside map, I expect ',' or '}'
          stamp": {"seconds": 1317959448{"timestamp": {"seconds": 1317
                     (right here) ------^


Expected results:
An orderly acpid shutdown, as usual.

Additional info:
Comment 1 Daniel Berrange 2011-10-07 05:13:34 EDT
This is a QEMU bug which I believe is fixed with

commit 22b626e28e9895cc65c1e2023323bda5138716dc
Author: Gerd Hoffmann <kraxel@redhat.com>
Date:   Fri Sep 2 15:03:28 2011 +0200

    spice: workaround a spice server bug.
    
    spice server might call the channel_event callback from spice server
    thread context.  Detect that and aquire iothread lock if needed,



What QEMU RPM version do you see this with ?
Comment 2 Josh Stone 2011-10-07 12:23:43 EDT
I have:

qemu-common-0.15.0-5.fc16.x86_64
qemu-img-0.15.0-5.fc16.x86_64
qemu-kvm-0.15.0-5.fc16.x86_64
qemu-system-x86-0.15.0-5.fc16.x86_64

Also, yum history shows that I upgraded from 0.15.0-4 very close to the time I filed this bug.  The changelog between those doesn't sound like it would address this issue though.
Comment 3 yesin 2011-12-08 11:14:00 EST
Sync time of your host machine...

#ntpdate some.server.from.pool
#hwclock -w
Comment 4 Fedora Admin XMLRPC Client 2012-03-15 13:55:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Cole Robinson 2012-08-03 07:22:40 EDT
qemu-0.15.1-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2012-11305/qemu-0.15.1-7.fc16
Comment 6 Cole Robinson 2012-08-11 16:23:08 EDT
Fixed in qemu-0.15.1-7.fc16